> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a tag group



## OpenAPI

````yaml /spec/openapi.json put /tag_groups/{tag_group}
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /tag_groups/{tag_group}:
    put:
      tags:
        - Tag Groups
      summary: Update a tag group
      operationId: tag-groups-update
      parameters:
        - name: tag_group
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                label:
                  type: string
                  maxLength: 255
                label_translations:
                  type: object
                  description: Optional translations for the `label` property.
                  allOf:
                    - $ref: '#/components/schemas/Translations'
                  nullable: true
                description:
                  type: string
                  nullable: true
                description_translations:
                  type: object
                  description: Optional translations for the `description` property.
                  allOf:
                    - $ref: '#/components/schemas/Translations'
                  nullable: true
                color:
                  type: string
                  nullable: true
                archived_at:
                  type: string
                  format: date
                is_component_locked:
                  type: boolean
                is_journal_entry_dimension:
                  type: boolean
                integrations:
                  type: object
                  properties:
                    xero:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                          enum:
                            - tracking_category
                    quickbooks:
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - class
                            - department
                            - project
            example:
              label: Cost Centre
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"tag_group"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/TagGroup'
              example:
                id: <id>
                object: tag_group
                data:
                  label: Cost Centre
                  label_translations: null
                  label_translated: Cost Centre
                  description: null
                  description_translations: null
                  description_translated: null
                  color: null
                  archived_at: null
                  is_deletable: true
                  is_component_locked: false
                  is_journal_entry_dimension: false
                  integrations:
                    xero:
                      id: null
                      type: null
                    quickbooks:
                      type: null
                  business_entity:
                    id: <id>
                    object: business_entity
                    links:
                      self: /business_entities/<id>
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /tag_groups/<id>
components:
  schemas:
    Translations:
      type: object
      nullable: true
      properties:
        en:
          type: string
          maxLength: 255
        fr:
          type: string
          maxLength: 255
    TagGroup:
      type: object
      title: Tag Group
      properties:
        label:
          type: string
          maxLength: 255
        label_translations:
          type: object
          description: Optional translations for the `label` property.
          allOf:
            - $ref: '#/components/schemas/Translations'
          nullable: true
        label_translated:
          type: string
          description: >-
            The translation of the `label` property for the request locale.
            Computed using the values in `label` and `label_translations` and
            the value of the request's `Accept-Language` header.
          readOnly: true
        description:
          type: string
          nullable: true
        description_translations:
          type: object
          description: Optional translations for the `description` property.
          allOf:
            - $ref: '#/components/schemas/Translations'
          nullable: true
        description_translated:
          type: string
          description: >-
            The translation of the `description` property for the request
            locale. Computed using the values in `description` and
            `description_translations` and the value of the request's
            `Accept-Language` header.
          readOnly: true
        color:
          type: string
          description: >-
            A hex colour code for the tag group (e.g. `#AABBCC` or `#ABC`). Used
            for display.
          nullable: true
          maxLength: 7
        archived_at:
          type: string
          description: >-
            When set, the tag group is archived and excluded from index listings
            by default.
          readOnly: true
          nullable: true
          format: dateTime
        is_deletable:
          type: boolean
          description: >-
            A tag group may not be deleted while it is the primary tag group or
            any of its tags are assigned to active allocations.
        is_component_locked:
          type: boolean
          description: >-
            When `true`, the tags within this group cannot be modified through
            the embedded portal. Tags can still be managed through the API.
        is_journal_entry_dimension:
          type: boolean
          description: >-
            When `true`, this tag group is used as a dimension in journal entry
            reports. A business entity can have up to three journal entry
            dimensions.
        integrations:
          type: object
          description: >-
            Identifiers and object types for this tag group in external
            accounting integrations, used to sync tag groups imported from those
            systems. QuickBooks does not expose a group-level identifier, so
            only the type is stored for QuickBooks.
          nullable: true
          properties:
            xero:
              type: object
              nullable: true
              properties:
                id:
                  type: string
                  description: The unique identifier of the object in Nmbr.
                  readOnly: true
                  maxLength: 32
                type: {}
            quickbooks:
              type: object
              nullable: true
              properties:
                type: {}
        business_entity:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"business_entity"`).
              readOnly: true
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````